9 stories
today

PSA: Starting July 1st, older versions of the Skype desktop app for Linux will no longer work

If you’re using version 4.3 and older of the Skype desktop app for Linux, it will no longer work starting July 1st. Microsoft is notifying users of the impending retirement via the Skype for Linux download page and is instead directing Linux users to install the latest version of the application (via omgubuntu.)

A notice of the impending retirement

As the image above shows, the most recent versions of Skype for Linux are not impacted by the retirement, including Skype for Linux Beta 5.3. Though the new version of the app has its advantages, it is only a web wrap and lacks features from the older versions and classic app which Linux users may have found useful, including screen sharing, API access, and advanced video and audio control.

The news should not come as a surprise, as Microsoft is clearly a cross-platform kind of company these days, and also depreciated older versions of Skype on both MacOS and Windows. For now, though Linux users will have to settle for Skype for Linux Beta 5.3, or turn to other third party VOIP or messaging services to fulfill their needs.

Further reading: , , ,

Which version of Skype are you using?